
Infrastructure - Story #736

Metacat needs to implement HealthMonitor API

2010-08-09 18:32 - Chad Berkley

Status: Closed Start date: 2010-12-07

Priority: Normal Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.01   

Story Points:    

Description

Metacat needs to implement HealthMonitor API

Subtasks:

Task # 1145: Implement Health API Ping() for metacat Closed

Task # 1177: Implement the getObjectStatistics method on Metacat Closed

Task # 1178: Implement getOperationStatistics method on Metacat Closed

History

#1 - 2010-10-06 02:48 - Matthew Jones

- Tracker changed from Task to Story

- Start date set to 2010-10-06

- Target version changed from CCI-0.5 to CCI-0.6

#2 - 2010-10-06 03:00 - Redmine Admin

- Position set to 1

#3 - 2010-10-06 17:38 - Chad Berkley

- Position deleted (11)

- Position set to 15

- Target version deleted (CCI-0.6)

#4 - 2010-10-06 17:38 - Chad Berkley

- Milestone set to CCI-0.6

#5 - 2010-10-07 16:58 - Dave Vieglais

- Position set to 8

- Target version set to Sprint-2010.41

- Position deleted (19)

#6 - 2010-10-22 16:31 - Chad Berkley

- Target version deleted (Sprint-2010.41)

- Position set to 1

- Position deleted (29)

#7 - 2010-11-08 18:05 - Dave Vieglais

- Position deleted (24)

- Position set to 1

- Target version set to Sprint-2010.46
#8 - 2010-11-19 17:47 - Dave Vieglais

- Target version changed from Sprint-2010.46 to Sprint-2010.48

- Position deleted (29)

- Position set to 2

#9 - 2010-11-30 18:11 - Dave Vieglais

- Position deleted (25)

- Position set to 14

- Target version changed from Sprint-2010.48 to Sprint-2010.49

#10 - 2010-12-13 18:34 - Dave Vieglais

- Target version changed from Sprint-2010.49 to Sprint-2010.50

- Position set to 4

- Position deleted (33)

#11 - 2011-01-03 02:31 - Dave Vieglais

- Target version changed from Sprint-2010.50 to Sprint-2011.01

#12 - 2011-01-06 17:18 - Chad Berkley

- Status changed from New to Closed

This is now implemented, however three of the four methods need to be flushed out more when the spec is worked out.  Ping is fully functional.
